<?php

require '../system/start.php';
require '../system/functions.php';
reg();
$str['mesto'] = 'Магазин ICQ номеров';
$str['block'] = $set['site'].' / Магазин ICQ номеров';
include '../style/'.$style.'/head.php';
switch($act)
{
default:
$result = mysql_result(mysql_query("select count(*) from `uins_uins`"),0);
echo '<div class="where">&raquo; Всего <b>'.$result.number($result,array(' </b>номер',' </b>номера',' </b>номеров')).'</b>!</div>';
$query = mysql_query("select * from `uins_sel`");
while($row = mysql_fetch_assoc($query))
{
	$i++;
	if($i%2)
	{
		echo '<div class="forum1">';
	}
	else
	{
		echo '<div class="forum2">';
	}
	$count = mysql_result(mysql_query("select count(*) from `uins_uins` where `id_sel` = ".$row['id'].""),0);
	echo '<img class="ico" src="../style/'.$style.'/ico/shop.gif" alt="" />
	<a href="icqshop.php?act=uins&amp;id='.$row['id'].'">'.$row['title'].'</a> ['.$count.']<br/></div>';
}
break;
case 'uins':
$q = MySQL_Fetch_Assoc(MySQL_Query("select * from `uins_sel` where `id` = ".int($_GET['id']).""));
if(empty($q['title']))
{
	echo '<div class="forum1">Категория не найдена!</div>';
	include '../style/'.$style.'/foot.php';
	exit;
}
$query = mysql_query("select * from `uins_uins` where `id_sel` = ".$q['id']."");
if(mysql_num_rows($query) == 0)
{
	echo '<div class="forum1">Номеров нет!</div>';
}
else
{
while($row = mysql_fetch_assoc($query))
{
	$i++;
	if($i%2)
	{
		echo '<div class="forum1">';
	}
	else
	{
		echo '<div class="forum2">';
	}
	echo '<a href="icqshop.php?act=uin&amp;id='.$row['id'].'">'.$row['uin'].'</a></div>';
}
}
break;
case 'uin':
$query = MySQL_Fetch_Assoc(MySQL_Query("select * from `uins_uins` where `id` = ".int($_GET['id']).""));
if(empty($query['password']))
{
	echo '<div class="forum1">Номер не найден!</div>';
	include '../style/'.$style.'/foot.php';
	exit;
}
if(isset($_GET['buy']))
{
	if($user['balls'] >= $query['price'])
	{
		mysql_query("UPDATE `users` SET `balls` = `balls`-".$query['price']." WHERE `id` = ".$query['id']."");
		echo '<div class="on">
		Спасибо за покупку!<br />
		C вашего счета списано: '.$query['price'].' монет<br />
		У вас осталось: '.$user['balls'].' монет<br />
		Данные от номера:<br />
		Номер: '.$query['uin'].'<br />
		Пароль: '.$query['password'].'</div>
		<div class="on2">
		<img class="ico" src="../style/'.$style.'/ico/shop.gif" alt="" />
		<a href="shop.php">Магазин</a>
		</div>';
		mysql_query("delete from `uins_uins` WHERE `id` = ".$query['id']."");
		include '../style/'.$style.'/foot.php';
		exit;
	}
	else
	{
		echo '<div class="on">У вас недостаточно монет!</div>';
	}
}
echo '<div class="on">
Номер: '.$query['uin'].'<br />
Стоимость: '.$query['price'].'<br />';
if($user['balls'] < $query['price'])
{
	echo 'У вас недостаточно баллов для покупки номера!<br />
	Не хватает для покупки: '.($query['price']-$user['balls']).'</div>';
}
else
{
	echo '<a href="icqshop.php?act=uin&amp;id='.$query['id'].'&amp;buy">Купить номер</a><br />
	У вас останется монет: '.($user['balls']-$query['price']).'</div>';
}
break;
}
echo '<div class="on2">
<img class="ico" src="../style/'.$style.'/ico/shop.gif" alt="" />
<a href="shop.php">Магазин</a>
</div>';
include '../style/'.$style.'/foot.php';
?>